import { EventEmitter, EventEmitter_EE } from '../EventEmitter';
import { System } from '../system';
import { Dict } from '../types/Dict';
export declare type $_EE = {
    destroy: [];
};
export declare type $Events<_EE extends Dict<any[]>> = EventEmitter_EE<_EE & $_EE> & $_EE;
export declare class $<_EE extends $Events<_EE> & Dict<any[]> = $Events<$_EE>> extends EventEmitter<_EE> {
    __: string[];
    __system: System;
    __global_id: string;
    constructor(system: System);
    getGlobalId(): string;
    getInterface(): string[];
    refSystem(): System;
    destroy(): void;
}
